//+------------------------------------------------------------------+
//|                                          SimplePendingOrders.mq4 |
//|                                                 Strahinja Krstic |
//|                                            http://www.stradz.com |
//+------------------------------------------------------------------+
#property copyright "Strahinja Krstic"
#property link      "http://www.stradz.com"

//---- input parameters
extern int       TakeProfit=100;
extern int       StopLoss=20;
extern int       TrailingStop=10;
extern int       PendingPips=30;
extern int       Lots=1;
extern double    Points=0.0001;

       int       MagicNumber = 120990949;
       double    BuyPrice;
       double    SellPrice;
       bool      trade;
       
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
      trade = false;
      
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
      trade = true;
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----

   if(iVolume(Symbol(),PERIOD_D1,0) <= 10 && trade == false){
       BuyPrice = iOpen(Symbol(),PERIOD_D1,0) + PendingPips*Points;
       SellPrice = iOpen(Symbol(),PERIOD_D1,0) - PendingPips*Points;
       trade = true;
   }
   
   if(BuyPrice < Ask && trade){
      OrderSend(Symbol(),OP_BUY,Lots,Ask,5,Ask-StopLoss*Points/10,Ask+TakeProfit*Points/10,"Pending order for Buy",MagicNumber,0,Green);
      trade = false;
   } 
   
   
   if(SellPrice > Bid && trade){
      OrderSend(Symbol(),OP_SELL,Lots,Bid,5,Bid+StopLoss*Points/10,Bid-TakeProfit*Points/10,"Pending order for Sell",MagicNumber,0,Red);
      trade = false;
   }
   
     
   
   int cnt = OrdersTotal();
   for (int i=0; i<cnt; i++) {
         if (!OrderSelect(i, SELECT_BY_POS)) continue;
         if (OrderSymbol() != Symbol()) continue;
         if (OrderMagicNumber() != MagicNumber) continue;
         
         double stopLossLevel = OrderStopLoss();
         
      Print("Razlika: "+ (Bid-OrderOpenPrice()) +"Trailing :" + Points*TrailingStop);
         if(Bid-OrderOpenPrice() > Points*TrailingStop && OrderType() == OP_BUY){
            if(Bid-stopLossLevel > Points*TrailingStop){
               OrderModify(OrderTicket(),OrderOpenPrice(),Bid-TrailingStop*Points,OrderTakeProfit(),0,CLR_NONE);
            }
         }else{
            if(OrderOpenPrice()-Ask > Points*TrailingStop && OrderType() == OP_SELL){
               if(stopLossLevel - Ask > Points*TrailingStop){
                  OrderModify(OrderTicket(),OrderOpenPrice(),Ask+TrailingStop*Points,OrderTakeProfit(),0,CLR_NONE);
               }
            }
         }
         
   }
     


   
//----
   return(0);
  }
//+------------------------------------------------------------------+